package domain


type AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO struct {
    /*
        营销活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人姓名     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        商品条码     */
    BarCode  *string `json:"bar_code,omitempty" `

    /*
        商品限购     */
    Limit  *AlibabaRetailMarketingItempoolSkuQueryLimitDTO `json:"limit,omitempty" `

    /*
        商品换购价 单位分     */
    ExchangePrice  *int64 `json:"exchange_price,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetActId(v int64) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetCreatorId(v string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetCreatorName(v string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetSkuCode(v string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.SkuCode = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetBarCode(v string) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.BarCode = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetLimit(v AlibabaRetailMarketingItempoolSkuQueryLimitDTO) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.Limit = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO) SetExchangePrice(v int64) *AlibabaRetailMarketingItempoolSkuQueryItemPoolSkuActivityElementDTO {
    s.ExchangePrice = &v
    return s
}
